React native fierebase admob 적용 고난

안녕하세요 react native firebase admob 세팅을 하고싶은데요…
다들 어떤 버전을 쓰시나요?
지금 최신이 v6 라는데 v6는 또 admob을 지원하지 않는다는데요…

여러 블로그를 따라해도 쉽게 세팅이 안되네요 ㅠㅠ

react-native-fireabase/app

설치해서 통계까지는 연동했습니다.

다들 버전 또는 라이브러리 무엇을 설치해서 하시나요?
사용 검증된 블로그 주소 혹시 공유해주실수있나요?

react native firebase admob v5 사용중입니다.
문서 및 깃헙 레파지토리 보면서 적용하였습니다.
v6 부터 지원이 안된대서 차후 다른 라이브러리 고민중이네요.

정정합니다. 11버전 사용중입니다. 현재 최신 버전은 12입니다.

좋아요 1

@JeffGuKang
제가 지금 직장이여서 정확히 확인은 불가능하나.

react-native-firebase/app 11.5
react-native-firebase/admob 11.5
이렇게 다운그레이드 해서 쓰고있는데요.
이게 v5가 맞는건가요?
혹시 버전 및 관련 라이브러리 공유해 주실 수 있으신가요?

지금 최신은 12이고 v5, v6는 오래전 버전 입니다. v6가 최신이라고 하시고 애드몹을 지원하지 않는다고 하셔서 햇갈렸습니다. ㅜㅜ

저는 애드몹 지원하는 11.5 로 사용합니다. 위에 적어주신 11.5는 v5가 아니라 v11.5 입니다.

좋아요 1

@JeffGuKang
아 그렇군요 ㅋㅋ
구글링 하면 겨우 1년전 자료들인데 벌써 그렇게…
생각도 못했습니다.
그럼 공식 문서를 참고해야겠군요.
감사합니다.

리엑트 네이티브 관련 자료들은 버전이 빨리 바뀌는거 같아서 개념적인 부분이 아니면 최신걸 찾아야 하는 거 같아요. ㅎㅎ

좋아요 1

@JeffGuKang
안녕하세요 다행이 세팅까지는 버그를 뚫고 왔습니다 ㅎㅎ
근데 화면에 적용하니
react native firebase admob bannerview was not found 라는 에러가 뜨는군요 ㅠ 혹시 아시나요?

알려주신 내용만으로는 파악이 힘들거 같습니다.

좋아요 1